Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.ensemble.data.factories
Class EnsembleDataSetFactory

    java.lang.Object
      org.encog.ensemble.data.factories.EnsembleDataSetFactory

Direct Known Subclasses:
  ResamplingDataSetFactory, WeightedResamplingDataSetFactory, WrappingNonResamplingDataSetFactory

    public abstract class EnsembleDataSetFactory

extends Object

Field Summary
`protected int` | `dataSetSize`
`protected MLDataSet` | `dataSource`

Constructor Summary
`EnsembleDataSetFactory(int dataSetSize)`

Method Summary
`int` | `getDataSetSize()`
`int` | `getInputCount()`
`MLDataSet` | `getInputData()`
`abstract EnsembleDataSet` | `getNewDataSet()`
`int` | `getOutputCount()`
`ArrayList<Double>` | `getSignificance()`
`boolean` | `hasSource()`
`void` | `setDataSetSize(int dataSetSize)`
`void` | `setInputData(MLDataSet dataSource)`
`void` | `setSignificance(ArrayList<Double> D)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dataSource

    protected MLDataSet dataSource

### dataSetSize

    protected int dataSetSize

Constructor Detail

### EnsembleDataSetFactory

    public EnsembleDataSetFactory(int dataSetSize)

Method Detail

### setInputData

    public void setInputData(MLDataSet dataSource)

### getNewDataSet

    public abstract EnsembleDataSet getNewDataSet()

### hasSource

    public boolean hasSource()

### getInputData

    public MLDataSet getInputData()

### getDataSetSize

    public int getDataSetSize()

### setDataSetSize

    public void setDataSetSize(int dataSetSize)

### getInputCount

    public int getInputCount()

### getOutputCount

    public int getOutputCount()

### setSignificance

    public void setSignificance(ArrayList<Double> D)

### getSignificance

    public ArrayList<Double> getSignificance()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.